Name:           puppet-afs
Version:        2.0
Release:        1%{?dist}
Summary:        Masterless puppet module for afs

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       puppet-stdlib

%description
Puppet Afs module for locmap

%prep
%setup -q -c

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/afs/
install -d %{buildroot}/etc/locmap/code/environments/production/hieradata/modules/afs/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/afs/
cp -ra data/afs.yaml %{buildroot}/etc/locmap/code/environments/production/hieradata/modules/afs/afs.yaml
touch %{buildroot}/%{_datadir}/puppet/modules/afs/linuxsupport

%files -n puppet-afs
/etc/locmap/code/environments/production/hieradata/modules/afs/afs.yaml
%{_datadir}/puppet/modules/afs
%doc code/README.md

%changelog
* Wed May 02 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- New version for locmap 2.0

* Tue Mar 14 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-2
- Make CellServDB download optional

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Wed Nov 16 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Authconfig is handling pam lines

* Fri Jun 10 2016 Aris Boutselis <aris.boutselis@cern.ch>
-Initial release


